#-------------------------------------------------------------------------------
sub metricsCurrent
#-------------------------------------------------------------------------------
{
  ($mc_caller, $mc_thishost, $mc_categ, $mc_parm, $mc_val, $mc_w_threshold, $mc_c_threshold, $mc_comment) = @_;
  $debug_mc = 0; 

  #---- Get rid of null or . values
  if ($mc_val eq "" || $mc_val eq ".") 
  {
    $mc_val = -1;  
  }

  #---- In case there is a character value, make it zero 
  if ($mc_val == 0) 
  {
    $mc_val = 0;  
  }

  $mc_w_threshold = 'NULL' if ! $mc_w_threshold;
  $mc_c_threshold = 'NULL' if ! $mc_c_threshold;

  #---- Get the date 
  $ztoday = &getdate;   

  #---- Massage some vars 
  $titlehist[$mc_thishost] = "?" if !$titlehist[$mc_thishost];
  #---- The db name can be very long for MSSQL - deal with that
  $mc_parm = substr($mc_parm,0,60) . "+" if length($mc_parm) > 60; 

  $mc_comment = "$mc_caller: $mc_comment"; 

  #---- Delete any old data for this Category / Parm - It's OK If this fails
  $sql  = "delete from dbamon.metrics_current
    where
      dbamonmode   = \'$mode\'
      and instance = \'$titlehist[$mc_thishost]\'
      and category = \'$mc_categ\' 
      and parm     = \'$mc_parm\'
  ";
  print "DEBUG_MC - Insert sql=$sql\n" if $debug_mc;
  &runSQL($sql,1) || &error_msg("metricsCurrent - $caller - Cannot delete from METRICS_CURRENT - $! - sql=$sql");
  print "DEBUG_MC - sqlerror=$sqlerror sqlcode=$sqlcode\n" if $debug_mc;

  #---- Insert New Row 
  $sql  = "insert into dbamon.metrics_current
      (dbamonmode,
       instance,
       system,
       dbms,
       category,
       parm,
       value,
       w_threshold,
       c_threshold,
       comment,
       zdate_char)
    values
      (\'$mode\',
       \'$titlehist[$mc_thishost]\', 
       \'$hostname[$mc_thishost]\',
       \'$dbmsout[$mc_thishost]\', 
       \'$mc_categ\', 
       \'$mc_parm\',
       $mc_val,
       $mc_w_threshold,
       $mc_c_threshold,
       '$mc_comment',
       '$ztoday')
  ";
  print "DEBUG_MC - Insert sql=$sql\n" if $debug_mc;
  &runSQL($sql,1) || &error_msg("metricsCurrent - $caller - Cannot insert into METRICS_CURRENT - $! - sql=$sql");
  print "DEBUG_MC - sqlerror=$sqlerror sqlcode=$sqlcode\n" if $debug_mc;
}
#-------------------------------------------------------------------------------
1;
